Bug 975313 - Review Request: libodb-boost - Boost ODB runtime library
Review Request: libodb-boost - Boost ODB runtime library
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Peter Lemenkov
Fedora Extras Quality Assurance
:
Depends On: 975312
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-18 01:04 EDT by Dave Johansen
Modified: 2013-11-18 20:23 EST (History)
5 users (show)

See Also:
Fixed In Version: libodb-boost-2.2.1-1.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-08 22:29:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
lemenkov: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Dave Johansen 2013-06-18 01:04:09 EDT
Spec URL: https://docs.google.com/file/d/0B9bQ41XLJ8QuTng3ZDZ1cUhaNGc/edit?usp=sharing
SRPM URL: https://docs.google.com/file/d/0B9bQ41XLJ8QuM3ZKWElRWXpjWUk/edit?usp=sharing
Description: This package contains the Boost ODB profile library. The Boost profile provides support for persisting Boost smart pointers, containers, and value types with the ODB system.
Fedora Account System Username: daveisfera
Comment 1 Peter Lemenkov 2013-06-18 10:48:02 EDT
Unblocking FE-NEEDSPONSOR - I've just sponsored Dave.
Comment 3 Dave Johansen 2013-10-05 23:32:21 EDT
This package is ready to review and a scratch build against rawhide is available at: http://koji.fedoraproject.org/koji/taskinfo?taskID=6028284
Comment 4 Dave Johansen 2013-10-06 00:20:34 EDT
Sorry, I forgot to include the link to the current source RPM in the last comment. It can be found at: http://daveisfera.fedorapeople.org/odb_2.2/SRPMS/libodb-boost-2.2.1-1.el6.src.rpm
Comment 5 Peter Lemenkov 2013-10-17 10:29:38 EDT
Looks good. Here is my formal 

REVIEW:

Legend: + = PASSED, - = FAILED, 0 = Not Applicable

+ rpmlint is silent

work ~/Desktop: rpmlint libodb-boost-*
libodb-boost.src: W: spelling-error Summary(en_US) runtime -> run time, run-time, rudiment
libodb-boost.x86_64: W: spelling-error Summary(en_US) runtime -> run time, run-time, rudiment

^^^ False positives.

libodb-boost.x86_64: W: no-documentation
4 packages and 0 specfiles checked; 0 errors, 3 warnings.
work ~/Desktop: 

+ The package is named according to the  Package Naming Guidelines.
+ The spec file name matches the base package %{name}, in the format %{name}.spec.
+ The package meets the Packaging Guidelines.
+ The package is licensed with a Fedora approved license and meets the Licensing Guidelines.
+ The License field in the package spec file matches the actual license (strict GPLv2).
+ The file, containing the text of the license(s) for the package, is included in %doc.
+ The spec file is written in American English.
+ The spec file for the package is legible.
+ The package successfully compiles and builds into binary rpms on at least one primary architecture. See Koji link above.
+ All build dependencies are listed in BuildRequires.
0 No need to handle locales.
+ The package stores shared library files in some of the dynamic linker's default paths, and it calls ldconfig in %post and %postun.
+ The package does NOT bundle copies of system libraries.
0 The package is not designed to be relocatable.
+ The package owns all directories that it creates.
+ The package does not list a file more than once in the spec file's %files listings.
+ Permissions on files are set properly.
+ The package has a %clean section, which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
+ The package consistently uses macros.
+ The package contains code, or permissible content.
0 No extremely large documentation files.
+ Anything, the package includes as %doc, does not affect the runtime of the application. Well, since we're moving to unversioned docdirs this will definitely cause issues. Please be careful with EL5 and EL6.
+ Header files are stored in a -devel package.
0 No static libraries.
+ The pkgconfig(.pc) files are stored in a -devel package. A necessary runtime requirement is picked up automatically in Fedora, but EL5 (and maybe even EL6) will require explicit "Requires: pkgconfig"
+ The library file(s) that end in .so (without suffix) is(are) stored in a -devel package.
+ The -devel package requires the base package using a fully versioned dependency: Requires: %{name}%{?_isa} = %{version}-%{release}
+ The package does NOT contain any .la libtool archives.
0 Not a GUI application.
+ The package does not own files or directories already owned by other packages.
+ At the beginning of %install, the package runs rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
+ All filenames in rpm packages are valid UTF-8.


APPROVED.
Comment 6 Dave Johansen 2013-10-22 10:55:49 EDT
New Package SCM Request
=======================
Package Name: libodb-boost
Short Description: Boost ODB runtime library from Code Synthesis
Owners: daveisfera
Branches: el5 el6 f18 f19 f20 
InitialCC: peter
Comment 7 Gwyn Ciesla 2013-10-22 11:09:04 EDT
Git done (by process-git-requests).
Comment 8 Fedora Update System 2013-10-29 22:56:41 EDT
libodb-boost-2.2.1-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/libodb-boost-2.2.1-1.fc18
Comment 9 Fedora Update System 2013-10-29 22:56:51 EDT
libodb-boost-2.2.1-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/libodb-boost-2.2.1-1.fc19
Comment 10 Fedora Update System 2013-10-30 23:00:42 EDT
libodb-boost-2.2.1-1.fc19 has been pushed to the Fedora 19 testing repository.
Comment 11 Fedora Update System 2013-11-02 15:53:52 EDT
libodb-boost-2.2.1-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/libodb-boost-2.2.1-1.el5
Comment 12 Fedora Update System 2013-11-02 15:54:15 EDT
libodb-boost-2.2.1-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/libodb-boost-2.2.1-1.el6
Comment 13 Fedora Update System 2013-11-03 00:31:08 EDT
libodb-boost-2.2.1-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/libodb-boost-2.2.1-1.fc20
Comment 14 Fedora Update System 2013-11-08 22:29:19 EST
libodb-boost-2.2.1-1.fc19 has been pushed to the Fedora 19 stable repository.
Comment 15 Fedora Update System 2013-11-08 22:30:30 EST
libodb-boost-2.2.1-1.fc18 has been pushed to the Fedora 18 stable repository.
Comment 16 Fedora Update System 2013-11-10 01:58:08 EST
libodb-boost-2.2.1-1.fc20 has been pushed to the Fedora 20 stable repository.
Comment 17 Fedora Update System 2013-11-18 20:21:12 EST
libodb-boost-2.2.1-1.el5 has been pushed to the Fedora EPEL 5 stable repository.
Comment 18 Fedora Update System 2013-11-18 20:23:46 EST
libodb-boost-2.2.1-1.el6 has been pushed to the Fedora EPEL 6 stable repository.

Note You need to log in before you can comment on or make changes to this bug.